Skip to main content
`Ctrl`+`K`

# DMPlexGetSupport

Return the points on the out-edges for this point in the DAG

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetSupport(DM dm, PetscInt p, const PetscInt *support[])

Not Collective

## Input Parameters

- dm - The `DMPLEX`

- p - The point, which must lie in the chart set with `DMPlexSetChart()`

## Output Parameter

- support - An array of points which are on the out-edges for point `p`, its length is that obtained from `DMPlexGetSupportSize()`

## Fortran Notes

`support` must be declared with

      PetscInt, pointer :: support(:)

You must also call `DMPlexRestoreSupport()` after you finish using the returned array. `DMPlexRestoreSupport()` is not needed/available in C.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetSupportSize()`, `DMPlexSetSupport()`, `DMPlexGetCone()`, `DMPlexSetChart()`

## Level

beginner

## Location

src/dm/impls/plex/plex.c

## Examples

src/snes/tutorials/ex7.c
src/ts/tutorials/ex11.c
src/ts/tutorials/ex52.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages